<?php
// $Id$

/**
 * @file
 *
 * Provides Flag message data to Views.
 */

/**
 * Implementation of hook_views_data().
 */
function flag_message_views_data() {
  $data = array();
  $data['flag_message']['table']['group'] = t('Flag message');
  $data['flag_message']['table']['join'] = array(
    'flag_content' => array(
      'left_field' => 'fcid',
      'field' => 'fcid',
    ),
  );
  $data['flag_message']['message'] = array(
    'title' => t('Message'),
    'help' => t('Display the text of the message associated with the flag.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
  );
  return $data;
}
